<template>
  <div class="header-assort-wrapper">
    <div class="header-assort-block">
      <div class="block">
        <div>
        <h1 v-html="title"></h1>
        <!-- <img v-if="logoVniro" :src="logoVniro" alt="" class="logo-vniro"> -->
      </div>
        <div
        v-if="imgFeed"
        class="header-assort-img-title"
      >
        <img
          :src="imgFeed"
          alt=""
          class="header-assort-img-bg"
        />
        <img v-if="logoVniro" :src="logoVniro" alt="" class="logo-vniro">
      </div>
      </div>
      <div
          v-if="typeFish"
          class="header-assort-type"
        >
          <span
            v-for="fish in typeFish"
            :key="fish.index"
            >{{ fish }}</span
          >
        </div>
      <div class="anchor-wrapper">
          <a
            v-for="anchor in anchors"
            :key="anchor.index"
            v-smooth-scroll="{ duration: 1000, offset: -50 }"
            class="anchor"
            :href="anchor.href"
          >
            <Button view="outlined">
              <slot>{{ anchor.text }}</slot>
            </Button>
          </a>
        </div>
    </div>
    <div
      v-if="img"
      class="header-assort-img"
    >
      <img
        :src="img"
        alt=""
      />
    </div>
    <div
      v-if="video"
      class="header-assort-video"
    >
      <img
        :src="video.image"
        alt=""
      />
      <div v-if="isOpenPopup">
        <popup-gallery
          v-model:open.sync="isOpenPopup"
          :type="'video'"
          :video-link="video.url"
        />
      </div>
      <div
        class="play-block"
        @click="openPopup"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="21"
          height="25"
          viewBox="0 0 21 25"
          fill="none"
        >
          <path
            d="M19.2545 10.7954C20.5137 11.5779 20.5137 13.4104 19.2545 14.1929L3.46472 24.0045C2.13244 24.8324 0.409131 23.8743 0.409132 22.3058V2.68249C0.409131 1.11395 2.13245 0.155875 3.46472 0.983739L19.2545 10.7954Z"
            fill="white"
          />
        </svg>
      </div>
    </div>
  </div>
</template>

<script>
import Button from './common/button.vue';
import SelectIcon from './icons/select-icon.vue';
import PopupGallery from './Popup.vue';
import {noScroll} from '../main'


export default {
  components: { Button, PopupGallery, SelectIcon },
  props: {
    anchors: { type: Array },
    typeFish: { type: Array },
    title: { type: String },
    img: { type: String },
    imgFeed: { type: String },
    video: { type: Object },
    logoVniro: {type: String}
  },
  data() {
    return {
      isOpenPopup: false,
    };
  },
  computed: {},
  created() {},
  mounted() {},
  updated() {},
  methods: {
    openPopup() {
      this.isOpenPopup = !this.isOpenPopup;
      noScroll(this.isOpenPopup);
    },
  },
};
</script>

<style></style>
